Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3610 - System time incorrect.
Summary: System time incorrect.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: basesystem
Version: 5.2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-21 07:14 UTC by nicklawson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-01 18:48:28 UTC


Attachments (Terms of Use)

Description nicklawson 1999-06-21 07:14:38 UTC
Windows likes to have the hardware clock set to local time.
So I set the linux clock config to ARC=true.
But then the sysinit script ends up issuing:

    hwclock -hctosys -A

-A is not a valid option (-a is),
and anyway the version of hwclock on my system
will only accept one option per call.

Comment 1 Bill Nottingham 1999-06-21 16:55:59 UTC
what kind of system do you have?  IIRC, you don't
have 'hwclock' on an alpha, and that's the only platform
where 'ARC' is a meaningful option...

Comment 2 nicklawson 1999-06-22 09:46:59 UTC
Ah, I see.
My /etc/sysconfig/clock said "UTC=true,ARC=false" so I
assumed that ARC was some sort of alternative to UTC.
Now I see that the answer is to have BOTH false.

Despite the plethora of sys.admin. tools, it's difficult
to find out what they do in terms of files. Is this documented
anywhere? sag and nag (spectacularly unhelpful names) where not
initially installed with my system, and only later
did I realise they were actually packages.


Note You need to log in before you can comment on or make changes to this bug.